Submit Global Payroll amendment signature

Signs a pending Global Payroll amendment on the client's behalf, applying the change. amendment_id is the id returned by POST /rest/contracts/{contract_id}/amendments. Global Payroll amendments only — IC contracts use POST /rest/workers/amendments/{amendment_id}/sign instead. **Token scopes**: `contracts:write`

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the Global Payroll contract.
amendment_idstringRequiredformat: "uuid"

The unique identifier of the Global Payroll amendment to sign, as returned by POST /rest/contracts/{contract_id}/amendments.

Request

This endpoint expects an object.
dataobjectRequired

Response

Amendment successfully signed.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error